#! /bin/sh

source lfs.conf
source lfs.lib

check_root

logout_from_chroot_warning

virtual_file_system()
{
    mkdir -pv $LFS/{dev,proc,sys}

    if [ ! -e $LFS/dev/console ] ; then
	mknod -m 600 $LFS/dev/console c 5 1
    fi

    if [ ! -e $LFS/dev/null ] ; then
	mknod -m 666 $LFS/dev/null c 1 3
    fi

    mount | grep -q "/dev on $LFS/dev "
    if [ $? -ne 0 ] ; then
	mount -v --bind /dev $LFS/dev
    fi

    mount | grep -q "devpts on $LFS/dev/pts "
    if [ $? -ne 0 ] ; then
	mount -vt devpts devpts $LFS/dev/pts
    fi

    mount | grep -q "shm on $LFS/dev/shm "
    if [ $? -ne 0 ] ; then
	mount -vt tmpfs shm $LFS/dev/shm
    fi

    mount | grep -q "proc on $LFS/proc "
    if [ $? -ne 0 ] ; then
	mount -vt proc proc $LFS/proc
    fi

    mount | grep -q "sysfs on $LFS/sys "
    if [ $? -ne 0 ] ; then
	mount -vt sysfs sysfs $LFS/sys
    fi
}

umount_and_reboot()
{
    umount -v $LFS/dev/pts
    umount -v $LFS/dev/shm
    umount -v $LFS/dev
    umount -v $LFS/proc
    umount -v $LFS/sys
    umount -v $LFS
    echo "****************"
    echo "restart the system, good luck :)"
    echo
    echo "# init 6"
    echo
    echo "****************"
}

if [ ! -e $LFS/sources ] ; then
    echo "error: $LFS/sources don't exist"
    exit 1
fi

virtual_file_system
umount_and_reboot